🚀 Version 2.0 is now live! See our changelog for details
curl --request PUT \
--url https://api.tenbyte.io/v1/cdn/distributions/{distributionID}/access-rules/{accessRuleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "update",
"match_type": "prefix",
"match_pattern": "/media/api/*",
"config": {
"country_access": {
"enabled": true,
"values": [
"AR",
"AF",
"IN"
],
"action": "allow"
},
"ip_access": {
"enabled": true,
"values": [
"203.0.113.0/24",
"198.51.100.0/24"
],
"action": "deny"
},
"referrer_access": {
"enabled": true,
"values": [
"mark.com",
"example.com"
],
"action": "allow"
}
}
}
'{}curl --request PUT \
--url https://api.tenbyte.io/v1/cdn/distributions/{distributionID}/access-rules/{accessRuleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "update",
"match_type": "prefix",
"match_pattern": "/media/api/*",
"config": {
"country_access": {
"enabled": true,
"values": [
"AR",
"AF",
"IN"
],
"action": "allow"
},
"ip_access": {
"enabled": true,
"values": [
"203.0.113.0/24",
"198.51.100.0/24"
],
"action": "deny"
},
"referrer_access": {
"enabled": true,
"values": [
"mark.com",
"example.com"
],
"action": "allow"
}
}
}
'{}Documentation Index
Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The body is of type object.
The response is of type object.